Index: /trunk/src/bp-core/classes/class-bp-attachment-avatar.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-attachment-avatar.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-attachment-avatar.php	(revision 10355)
@@ -29,5 +29,5 @@
 	 */
 	public function __construct() {
-		// Allowed avatar types
+		// Allowed avatar types.
 		$allowed_types = bp_core_get_allowed_avatar_types();
 
@@ -37,5 +37,5 @@
 			'original_max_filesize' => bp_core_avatar_original_max_filesize(),
 
-			// Specific errors for avatars
+			// Specific errors for avatars.
 			'upload_error_strings'  => array(
 				9  => sprintf( __( 'That photo is too big. Please upload one smaller than %s', 'buddypress' ), size_format( bp_core_avatar_original_max_filesize() ) ),
@@ -51,5 +51,4 @@
 	 *
 	 * @param array $allowed_types Array of allowed avatar types.
-	 *
 	 * @return string comma separated list of allowed avatar types.
 	 */
@@ -92,23 +91,22 @@
 	 *
 	 * @param  array $file the temporary file attributes (before it has been moved).
-	 *
 	 * @return array the file with extra errors if needed.
 	 */
 	public function validate_upload( $file = array() ) {
-		// Bail if already an error
+		// Bail if already an error.
 		if ( ! empty( $file['error'] ) ) {
 			return $file;
 		}
 
-		// File size is too big
+		// File size is too big.
 		if ( ! bp_core_check_avatar_size( array( 'file' => $file ) ) ) {
 			$file['error'] = 9;
 
-		// File is of invalid type
+		// File is of invalid type.
 		} elseif ( ! bp_core_check_avatar_type( array( 'file' => $file ) ) ) {
 			$file['error'] = 10;
 		}
 
-		// Return with error code attached
+		// Return with error code attached.
 		return $file;
 	}
@@ -122,13 +120,13 @@
 	 * @uses  bp_core_avatar_original_max_width()
 	 *
-	 * @param string $file the absolute path to the file.
-	 *
+	 * @param string $file               The absolute path to the file.
+	 * @param int    $ui_available_width Available width for the UI.
 	 * @return mixed
 	 */
 	public static function shrink( $file = '', $ui_available_width = 0 ) {
-		// Get image size
+		// Get image size.
 		$avatar_data = parent::get_image_data( $file );
 
-		// Init the edit args
+		// Init the edit args.
 		$edit_args = array();
 
@@ -136,5 +134,5 @@
 		$original_max_width = bp_core_avatar_original_max_width();
 
-		// The ui_available_width is defined and it's smaller than the Avatar original max width
+		// The ui_available_width is defined and it's smaller than the Avatar original max width.
 		if ( ! empty( $ui_available_width ) && $ui_available_width < $original_max_width ) {
 			/**
@@ -150,5 +148,5 @@
 		}
 
-		// Do we need to resize the image ?
+		// Do we need to resize the image?
 		if ( isset( $avatar_data['width'] ) && $avatar_data['width'] > $original_max_width ) {
 			$edit_args = array(
@@ -158,5 +156,5 @@
 		}
 
-		// Do we need to rotate the image ?
+		// Do we need to rotate the image?
 		$angles = array(
 			3 => 180,
@@ -169,9 +167,9 @@
 		}
 
-		// No need to edit the avatar, original file will be used
+		// No need to edit the avatar, original file will be used.
 		if ( empty( $edit_args ) ) {
 			return false;
 
-		// Add the file to the edit arguments
+		// Add the file to the edit arguments.
 		} else {
 			$edit_args['file'] = $file;
@@ -190,6 +188,5 @@
 	 *
 	 * @param string $file the absolute path to the file.
-	 *
-	 * @return boolean
+	 * @return bool
 	 */
 	public static function is_too_small( $file = '' ) {
@@ -218,10 +215,9 @@
 	 * @uses BP_Attachment::crop
 	 *
-	 * @param array $args
-	 *
+	 * @param array $args Array of arguments for the cropping.
 	 * @return array The cropped avatars (full and thumb).
 	 */
 	public function crop( $args = array() ) {
-		// Bail if the original file is missing
+		// Bail if the original file is missing.
 		if ( empty( $args['original_file'] ) ) {
 			return false;
@@ -235,5 +231,5 @@
 		$absolute_path = $this->upload_path . $relative_path;
 
-		// Bail if the avatar is not available
+		// Bail if the avatar is not available.
 		if ( ! file_exists( $absolute_path ) )  {
 			return false;
@@ -250,10 +246,10 @@
 		}
 
-		// Bail if the avatar folder is missing for this item_id
+		// Bail if the avatar folder is missing for this item_id.
 		if ( ! file_exists( $avatar_folder_dir ) ) {
 			return false;
 		}
 
-		// Delete the existing avatar files for the object
+		// Delete the existing avatar files for the object.
 		$existing_avatar = bp_core_fetch_avatar( array(
 			'object'  => $args['object'],
@@ -270,5 +266,5 @@
 		}
 
-		// Make sure we at least have minimal data for cropping
+		// Make sure we at least have minimal data for cropping.
 		if ( empty( $args['crop_w'] ) ) {
 			$args['crop_w'] = bp_core_avatar_full_width();
@@ -279,5 +275,5 @@
 		}
 
-		// Get the file extension
+		// Get the file extension.
 		$data = @getimagesize( $absolute_path );
 		$ext  = $data['mime'] == 'image/png' ? 'png' : 'jpg';
@@ -301,8 +297,8 @@
 		}
 
-		// Remove the original
+		// Remove the original.
 		@unlink( $absolute_path );
 
-		// Return the full and thumb cropped avatars
+		// Return the full and thumb cropped avatars.
 		return $avatar_types;
 	}
@@ -355,19 +351,19 @@
 	 */
 	public function script_data() {
-		// Get default script data
+		// Get default script data.
 		$script_data = parent::script_data();
 
-		// Defaults to Avatar Backbone script
+		// Defaults to Avatar Backbone script.
 		$js_scripts = array( 'bp-avatar' );
 
-		// Default object
+		// Default object.
 		$object = '';
 
-		// Get the possible item ids
+		// Get the possible item ids.
 		$user_id  = $this->get_user_id();
 		$group_id = $this->get_group_id();
 
 		if ( ! empty( $user_id ) ) {
-			// Should we load the the Webcam Avatar javascript file
+			// Should we load the the Webcam Avatar javascript file.
 			if ( bp_avatar_use_webcam() ) {
 				$js_scripts = array( 'bp-webcam' );
@@ -384,5 +380,5 @@
 			);
 
-			// Set feedback messages
+			// Set feedback messages.
 			$script_data['feedback_messages'] = array(
 				1 => __( 'There was a problem cropping your profile photo.', 'buddypress' ),
@@ -402,5 +398,5 @@
 			);
 
-			// Set feedback messages
+			// Set feedback messages.
 			$script_data['feedback_messages'] = array(
 				1 => __( 'There was a problem cropping the group profile photo.', 'buddypress' ),
@@ -422,11 +418,11 @@
 		}
 
-		// Include the specific css
+		// Include the specific css.
 		$script_data['extra_css'] = array( 'bp-avatar' );
 
-		// Include the specific css
+		// Include the specific css.
 		$script_data['extra_js']  = $js_scripts;
 
-		// Set the object to contextualize the filter
+		// Set the object to contextualize the filter.
 		if ( isset( $script_data['bp_params']['object'] ) ) {
 			$object = $script_data['bp_params']['object'];
Index: /trunk/src/bp-core/classes/class-bp-attachment-cover-image.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-attachment-cover-image.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-attachment-cover-image.php	(revision 10355)
@@ -7,5 +7,5 @@
  */
 
-// Exit if accessed directly
+// Exit if accessed directly.
 defined( 'ABSPATH' ) || exit;
 
@@ -19,10 +19,10 @@
 class BP_Attachment_Cover_Image extends BP_Attachment {
 	/**
-	 * The constuctor
+	 * The constuctor.
 	 *
 	 * @since 2.4.0
 	 */
 	public function __construct() {
-		// Allowed cover image types & upload size
+		// Allowed cover image types & upload size.
 		$allowed_types        = bp_attachments_get_allowed_types( 'cover_image' );
 		$max_upload_file_size = bp_attachments_get_max_upload_file_size( 'cover_image' );
@@ -35,5 +35,5 @@
 			'required_wp_files'     => array( 'file', 'image' ),
 
-			// Specific errors for cover images
+			// Specific errors for cover images.
 			'upload_error_strings'  => array(
 				11  => sprintf( __( 'That image is too big. Please upload one smaller than %s', 'buddypress' ), size_format( $max_upload_file_size ) ),
@@ -49,6 +49,5 @@
 	 *
 	 * @param array $allowed_types Array of allowed cover image types.
-	 *
-	 * @return string comma separated list of allowed cover image types.
+	 * @return string $value Comma-separated list of allowed cover image types.
 	 */
 	public static function get_cover_image_types( $allowed_types = array() ) {
@@ -66,37 +65,36 @@
 	 * @since 2.4.0
 	 *
-	 * @param  array $file the temporary file attributes (before it has been moved).
-	 *
-	 * @return array the file with extra errors if needed.
+	 * @param array $file The temporary file attributes (before it has been moved).
+	 * @return array $file The file with extra errors if needed.
 	 */
 	public function validate_upload( $file = array() ) {
-		// Bail if already an error
+		// Bail if already an error.
 		if ( ! empty( $file['error'] ) ) {
 			return $file;
 		}
 
-		// File size is too big
+		// File size is too big.
 		if ( $file['size'] > $this->original_max_filesize ) {
 			$file['error'] = 11;
 
-		// File is of invalid type
+		// File is of invalid type.
 		} elseif ( ! bp_attachments_check_filetype( $file['tmp_name'], $file['name'], bp_attachments_get_allowed_mimes( 'cover_image' ) ) ) {
 			$file['error'] = 12;
 		}
 
-		// Return with error code attached
+		// Return with error code attached.
 		return $file;
 	}
 
 	/**
-	 * Set the directory when uploading a file
-	 *
-	 * @since 2.4.0
-	 *
-	 * @param  array $upload_dir The original Uploads dir.
-	 * @return array upload data (path, url, basedir...)
+	 * Set the directory when uploading a file.
+	 *
+	 * @since 2.4.0
+	 *
+	 * @param array $upload_dir The original Uploads dir.
+	 * @return array $value Upload data (path, url, basedir...).
 	 */
 	public function upload_dir_filter( $upload_dir = array() ) {
-		// Default values are for profiles
+		// Default values are for profiles.
 		$object_id = bp_displayed_user_id();
 
@@ -107,5 +105,5 @@
 		$object_directory = 'members';
 
-		// We're in a group, edit default values
+		// We're in a group, edit default values.
 		if ( bp_is_group() || bp_is_group_create() ) {
 			$object_id        = bp_get_current_group_id();
@@ -113,5 +111,5 @@
 		}
 
-		// Set the subdir
+		// Set the subdir.
 		$subdir  = '/' . $object_directory . '/' . $object_id . '/cover-image';
 
@@ -121,5 +119,5 @@
 		 * @since 2.4.0
 		 *
-		 * @param array $value       Array containing the path, URL, and other helpful settings.
+		 * @param array $value      Array containing the path, URL, and other helpful settings.
 		 * @param array $upload_dir The original Uploads dir.
 		 */
@@ -139,5 +137,6 @@
 	 * @since 2.4.0
 	 *
-	 * @param string $file the absolute path to the file.
+	 * @param string $file       The absolute path to the file.
+	 * @param array  $dimensions Array of dimensions for the cover image.
 	 * @return mixed
 	 */
@@ -147,11 +146,11 @@
 		}
 
-		// Get image size
+		// Get image size.
 		$cover_data = parent::get_image_data( $file );
 
-		// Init the edit args
+		// Init the edit args.
 		$edit_args = array();
 
-		// Do we need to resize the image ?
+		// Do we need to resize the image?
 		if ( ( isset( $cover_data['width'] ) && $cover_data['width'] > $dimensions['width'] ) ||
 		( isset( $cover_data['height'] ) && $cover_data['height'] > $dimensions['height'] ) ) {
@@ -163,5 +162,5 @@
 		}
 
-		// Do we need to rotate the image ?
+		// Do we need to rotate the image?
 		$angles = array(
 			3 => 180,
@@ -174,14 +173,14 @@
 		}
 
-		// No need to edit the avatar, original file will be used
+		// No need to edit the avatar, original file will be used.
 		if ( empty( $edit_args ) ) {
 			return false;
 
-		// Add the file to the edit arguments
+		// Add the file to the edit arguments.
 		} else {
 			$edit_args = array_merge( $edit_args, array( 'file' => $file, 'save' => false ) );
 		}
 
-		// Get the editor so that we can use a specific save method
+		// Get the editor so that we can use a specific save method.
 		$editor = parent::edit_image( 'cover_image', $edit_args );
 
@@ -192,15 +191,15 @@
 		}
 
-		// Save the new image file
+		// Save the new image file.
 		return $editor->save( $this->generate_filename( $file ) );
 	}
 
 	/**
-	 * Generate a filename for the cover image
-	 *
-	 * @since 2.4.0
-	 *
-	 * @param  string $file the absolute path to the file.
-	 * @return string       the absolute path to the new file name
+	 * Generate a filename for the cover image.
+	 *
+	 * @since 2.4.0
+	 *
+	 * @param string $file The absolute path to the file.
+	 * @return string $value The absolute path to the new file name.
 	 */
 	public function generate_filename( $file = '' ) {
@@ -218,12 +217,12 @@
 
 	/**
-	 * Build script datas for the Uploader UI
-	 *
-	 * @since 2.4.0
-	 *
-	 * @return array the javascript localization data
+	 * Build script datas for the Uploader UI.
+	 *
+	 * @since 2.4.0
+	 *
+	 * @return array The javascript localization data
 	 */
 	public function script_data() {
-		// Get default script data
+		// Get default script data.
 		$script_data = parent::script_data();
 
@@ -240,5 +239,5 @@
 			);
 
-			// Set feedback messages
+			// Set feedback messages.
 			$script_data['feedback_messages'] = array(
 				1 => __( 'Your new cover image was uploaded successfully.', 'buddypress' ),
@@ -258,5 +257,5 @@
 			);
 
-			// Set feedback messages
+			// Set feedback messages.
 			$script_data['feedback_messages'] = array(
 				1 => __( 'The group cover image was uploaded successfully.', 'buddypress' ),
@@ -265,6 +264,7 @@
 			);
 		} else {
+
 			/**
-			 * Use this filter to include specific BuddyPress params for your object.
+			 * Filters the cover image params to include specific BuddyPress params for your object.
 			 * e.g. Cover image for blogs single item.
 			 *
@@ -276,8 +276,15 @@
 		}
 
-		// Include our specific js & css
+		// Include our specific js & css.
 		$script_data['extra_js']  = array( 'bp-cover-image' );
 		$script_data['extra_css'] = array( 'bp-avatar' );
 
+		/**
+		 * Filters the cover image script data.
+		 *
+		 * @since 2.4.0
+		 *
+		 * @param array $script_data Array of data for the cover image.
+		 */
 		return apply_filters( 'bp_attachments_cover_image_script_data', $script_data );
 	}
Index: /trunk/src/bp-core/classes/class-bp-attachment.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-attachment.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-attachment.php	(revision 10355)
@@ -50,4 +50,9 @@
 	 * @since 2.3.0
 	 * @since 2.4.0 Add the $upload_dir_filter_args argument to the $arguments array
+	 * @uses                                    sanitize_key()
+	 * @uses                                    wp_max_upload_size()
+	 * @uses                                    bp_parse_args()
+	 * @uses                                    BP_Attachment->set_upload_error_strings()
+	 * @uses                                    BP_Attachment->set_upload_dir()
 	 *
 	 * @param array|string $args {
@@ -64,17 +69,12 @@
 	 *                                          Defaults to 0 (optional).
 	 * }
-	 * @uses  sanitize_key()
-	 * @uses  wp_max_upload_size()
-	 * @uses  bp_parse_args()
-	 * @uses  BP_Attachment->set_upload_error_strings()
-	 * @uses  BP_Attachment->set_upload_dir()
 	 */
 	public function __construct( $args = '' ) {
-		// Upload action and the file input name are required parameters
+		// Upload action and the file input name are required parameters.
 		if ( empty( $args['action'] ) || empty( $args['file_input'] ) ) {
 			return false;
 		}
 
-		// Sanitize the action ID and the file input name
+		// Sanitize the action ID and the file input name.
 		$this->action     = sanitize_key( $args['action'] );
 		$this->file_input = sanitize_key( $args['file_input'] );
@@ -92,13 +92,13 @@
 				$this->{$key} = $this->set_upload_error_strings( $param );
 
-			// Sanitize the base dir
+			// Sanitize the base dir.
 			} elseif ( 'base_dir' === $key ) {
 				$this->{$key} = sanitize_title( $param );
 
-			// Sanitize the upload dir filter arg to pass
+			// Sanitize the upload dir filter arg to pass.
 			} elseif ( 'upload_dir_filter_args' === $key ) {
 				$this->{$key} = (int) $param;
 
-			// Action & File input are already set and sanitized
+			// Action & File input are already set and sanitized.
 			} elseif ( 'action' !== $key && 'file_input' !== $key ) {
 				$this->{$key} = $param;
@@ -106,5 +106,5 @@
 		}
 
-		// Set the path/url and base dir for uploads
+		// Set the path/url and base dir for uploads.
 		$this->set_upload_dir();
 	}
@@ -118,5 +118,5 @@
 	 */
 	public function set_upload_dir() {
-		// Set the directory, path, & url variables
+		// Set the directory, path, & url variables.
 		$this->upload_dir  = bp_upload_dir();
 
@@ -128,5 +128,5 @@
 		$this->url         = $this->upload_dir['baseurl'];
 
-		// Ensure URL is https if SSL is set/forced
+		// Ensure URL is https if SSL is set/forced.
 		if ( is_ssl() ) {
 			$this->url = str_replace( 'http://', 'https://', $this->url );
@@ -142,5 +142,5 @@
 			$this->url         = trailingslashit( $this->url  ) . $this->base_dir;
 
-			// Finally create the base dir
+			// Finally create the base dir.
 			$this->create_dir();
 		}
@@ -155,6 +155,5 @@
 	 *
 	 * @param array $param A list of error messages to add to BuddyPress core ones.
-	 *
-	 * @return array the list of upload errors
+	 * @return array $upload_errors The list of upload errors.
 	 */
 	public function set_upload_error_strings( $param = array() ) {
@@ -204,8 +203,4 @@
 	 * @since 2.3.0
 	 *
-	 * @param  array       $file              The appropriate entry the from $_FILES superglobal.
-	 * @param  string      $upload_dir_filter A specific filter to be applied to 'upload_dir' (optional).
-	 * @param  string|null $time              Optional. Time formatted in 'yyyy/mm'. Default null.
-	 *
 	 * @uses   wp_handle_upload()        To upload the file
 	 * @uses   add_filter()              To temporarly overrides WordPress uploads data
@@ -213,7 +208,10 @@
 	 * @uses   apply_filters()           Call 'bp_attachment_upload_overrides' to include specific upload overrides
 	 *
-	 * @return array                     On success, returns an associative array of file attributes.
-	 *                                   On failure, returns an array containing the error message
-	 *                                   (eg: array( 'error' => $message ) )
+	 * @param  array       $file              The appropriate entry the from $_FILES superglobal.
+	 * @param  string      $upload_dir_filter A specific filter to be applied to 'upload_dir' (optional).
+	 * @param  string|null $time              Optional. Time formatted in 'yyyy/mm'. Default null.
+	 * @return array On success, returns an associative array of file attributes.
+	 *               On failure, returns an array containing the error message
+	 *               (eg: array( 'error' => $message ) )
 	 */
 	public function upload( $file, $upload_dir_filter = '', $time = null ) {
@@ -238,5 +236,5 @@
 		add_filter( 'wp_handle_upload_prefilter', array( $this, 'validate_upload' ), 10, 1 );
 
-		// Set Default overrides
+		// Set Default overrides.
 		$overrides = array(
 			'action'               => $this->action,
@@ -275,21 +273,21 @@
 		}
 
-		// Make sure the file will be uploaded in the attachment directory
+		// Make sure the file will be uploaded in the attachment directory.
 		if ( ! empty( $upload_dir_filter ) ) {
 			add_filter( 'upload_dir', $upload_dir_filter, 10, $this->upload_dir_filter_args );
 		}
 
-		// Upload the attachment
+		// Upload the attachment.
 		$this->attachment = wp_handle_upload( $file[ $this->file_input ], $overrides, $time );
 
-		// Restore WordPress Uploads data
+		// Restore WordPress Uploads data.
 		if ( ! empty( $upload_dir_filter ) ) {
 			remove_filter( 'upload_dir', $upload_dir_filter, 10, $this->upload_dir_filter_args );
 		}
 
-		// Remove the pre WordPress 4.0 static filter
+		// Remove the pre WordPress 4.0 static filter.
 		remove_filter( 'wp_handle_upload_prefilter', array( $this, 'validate_upload' ), 10, 1 );
 
-		// Finally return the uploaded file or the error
+		// Finally return the uploaded file or the error.
 		return $this->attachment;
 	}
@@ -300,4 +298,5 @@
 	 * In case of a multisite, the mime types are already restricted by
 	 * the 'upload_filetypes' setting. BuddyPress will respect this setting.
+	 *
 	 * @see check_upload_mimes()
 	 *
@@ -310,5 +309,5 @@
 		$valid_mimes = array();
 
-		// Set the allowed mimes for the upload
+		// Set the allowed mimes for the upload.
 		foreach ( (array) $this->allowed_mime_types as $ext ) {
 			foreach ( $wp_mimes as $ext_pattern => $mime ) {
@@ -333,9 +332,8 @@
 	 *
 	 * @param  array $file The temporary file attributes (before it has been moved).
-	 *
 	 * @return array The file.
 	 */
 	public function validate_upload( $file = array() ) {
-		// Bail if already an error
+		// Bail if already an error.
 		if ( ! empty( $file['error'] ) ) {
 			return $file;
@@ -346,5 +344,5 @@
 		}
 
-		// Return the file
+		// Return the file.
 		return $file;
 	}
@@ -394,13 +392,13 @@
 	 */
 	public function create_dir() {
-		// Bail if no specific base dir is set
+		// Bail if no specific base dir is set.
 		if ( empty( $this->base_dir ) ) {
 			return false;
 		}
 
-		// Check if upload path already exists
+		// Check if upload path already exists.
 		if ( ! is_dir( $this->upload_path ) ) {
 
-			// If path does not exist, attempt to create it
+			// If path does not exist, attempt to create it.
 			if ( ! wp_mkdir_p( $this->upload_path ) ) {
 				return false;
@@ -408,5 +406,5 @@
 		}
 
-		// Directory exists
+		// Directory exists.
 		return true;
 	}
@@ -452,8 +450,8 @@
 		}
 
-		// Check image file pathes
+		// Check image file pathes.
 		$path_error = __( 'Cropping the file failed: the file path is not allowed.', 'buddypress' );
 
-		// Make sure it's coming from an uploaded file
+		// Make sure it's coming from an uploaded file.
 		if ( false === strpos( $r['original_file'], $this->upload_path ) ) {
 			$wp_error->add( 'crop_error', $path_error );
@@ -464,5 +462,5 @@
 		 * If no destination file is provided, WordPress will use a default name
 		 * and will write the file in the source file's folder.
-		 * If a destination file is provided, we need to make sure it's going into uploads
+		 * If a destination file is provided, we need to make sure it's going into uploads.
 		 */
 		if ( ! empty( $r['dst_file'] ) && false === strpos( $r['dst_file'], $this->upload_path ) ) {
@@ -471,5 +469,5 @@
 		}
 
-		// Check image file types
+		// Check image file types.
 		$check_types = array( 'src_file' => array( 'file' => $r['original_file'], 'error' => _x( 'source file', 'Attachment source file', 'buddypress' ) ) );
 		if ( ! empty( $r['dst_file'] ) ) {
@@ -478,5 +476,5 @@
 
 		/**
-		 * WordPress image supported types
+		 * WordPress image supported types.
 		 * @see wp_attachment_is()
 		 */
@@ -499,5 +497,5 @@
 		}
 
-		// Add the image.php to the required WordPress files, if it's not already the case
+		// Add the image.php to the required WordPress files, if it's not already the case.
 		$required_files = array_flip( $this->required_wp_files );
 		if ( ! isset( $required_files['image'] ) ) {
@@ -505,8 +503,8 @@
 		}
 
-		// Load the files
+		// Load the files.
 		$this->includes();
 
-		// Finally crop the image
+		// Finally crop the image.
 		return wp_crop_image( $r['original_file'], (int) $r['crop_x'], (int) $r['crop_y'], (int) $r['crop_w'], (int) $r['crop_h'], (int) $r['dst_w'], (int) $r['dst_h'], $r['src_abs'], $r['dst_file'] );
 	}
@@ -545,5 +543,5 @@
 	 */
 	public static function get_image_data( $file ) {
-		// Try to get image basic data
+		// Try to get image basic data.
 		list( $width, $height, $sourceImageType ) = @getimagesize( $file );
 
@@ -553,5 +551,5 @@
 		}
 
-		// Initialize the image data
+		// Initialize the image data.
 		$image_data = array(
 			'width'  => $width,
@@ -567,9 +565,9 @@
 		}
 
-		// Now try to get image's meta data
+		// Now try to get image's meta data.
 		$meta = wp_read_image_metadata( $file );
 
 		if ( ! empty( $meta ) ) {
-			// Before 4.0 the Orientation wasn't included
+			// Before 4.0 the Orientation wasn't included.
 			if ( ! isset( $meta['orientation'] ) &&
 				is_callable( 'exif_read_data' ) &&
@@ -583,5 +581,5 @@
 			}
 
-			// Now add the metas to image data
+			// Now add the metas to image data.
 			$image_data['meta'] = $meta;
 		}
@@ -602,6 +600,6 @@
 	 * @since  2.4.0
 	 *
-	 * @param  string $attachment_type The attachment type (eg: avatar or cover_image). Required.
-	 * @param  array  array $args {
+	 * @param string $attachment_type The attachment type (eg: avatar or cover_image). Required.
+	 * @param array  $args {
 	 *     @type string $file     Absolute path to the image file (required).
 	 *     @type int    $max_w    Max width attribute for the editor's resize method (optional).
@@ -612,5 +610,4 @@
 	 *     @type bool   $save     Whether to use the editor's save method or not (optional).
 	 * }
-	 *
 	 * @return string|WP_Image_Editor|WP_Error The edited image path or the WP_Image_Editor object in case of success,
 	 *                                         an WP_Error object otherwise.
@@ -636,5 +633,5 @@
 		}
 
-		// Get the image editor
+		// Get the image editor.
 		$editor = wp_get_image_editor( $r['file'] );
 
@@ -648,5 +645,5 @@
 			$rotated = $editor->rotate( $r['rotate'] );
 
-			// Stop in case of error
+			// Stop in case of error.
 			if ( is_wp_error( $rotated ) ) {
 				return $rotated;
@@ -657,5 +654,5 @@
 			$resized = $editor->resize( $r['max_w'], $r['max_h'], $r['crop'] );
 
-			// Stop in case of error
+			// Stop in case of error.
 			if ( is_wp_error( $resized ) ) {
 				return $resized;
@@ -663,9 +660,9 @@
 		}
 
-		// Use the editor save method to get a path to the edited image
+		// Use the editor save method to get a path to the edited image.
 		if ( true === $r['save'] ) {
 			return $editor->save( $editor->generate_filename() );
 
-		// Need to do some other edit actions or use a specific method to save file
+		// Need to do some other edit actions or use a specific method to save file.
 		} else {
 			return $editor;
Index: /trunk/src/bp-core/classes/class-bp-button.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-button.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-button.php	(revision 10355)
@@ -144,6 +144,8 @@
 	public $link_text = '';
 
-	/** HTML result ***********************************************************/
-
+	/** HTML result
+	 *
+	 * @var string
+	 */
 	public $contents = '';
 
@@ -161,5 +163,5 @@
 		$r = wp_parse_args( $args, get_class_vars( __CLASS__ ) );
 
-		// Required button properties
+		// Required button properties.
 		$this->id                = $r['id'];
 		$this->component         = $r['component'];
@@ -172,17 +174,17 @@
 			return false;
 
-		// No button if component is not active
+		// No button if component is not active.
 		if ( ! bp_is_active( $this->component ) )
 			return false;
 
-		// No button for guests if must be logged in
+		// No button for guests if must be logged in.
 		if ( true == $this->must_be_logged_in && ! is_user_logged_in() )
 			return false;
 
-		// block_self
+		// The block_self property.
 		if ( true == $this->block_self ) {
 			// No button if you are the current user in a members loop
 			// This condition takes precedence, because members loops
-			// can be found on user profiles
+			// can be found on user profiles.
 			if ( bp_get_member_user_id() ) {
 				if ( is_user_logged_in() && bp_loggedin_user_id() == bp_get_member_user_id() ) {
@@ -191,5 +193,5 @@
 
 			// No button if viewing your own profile (and not in
-			// a members loop)
+			// a members loop).
 			} elseif ( bp_is_my_profile() ) {
 				return false;
@@ -197,13 +199,13 @@
 		}
 
-		// Wrapper properties
+		// Wrapper properties.
 		if ( false !== $this->wrapper ) {
 
-			// Wrapper ID
+			// Wrapper ID.
 			if ( !empty( $r['wrapper_id'] ) ) {
 				$this->wrapper_id    = ' id="' . $r['wrapper_id'] . '"';
 			}
 
-			// Wrapper class
+			// Wrapper class.
 			if ( !empty( $r['wrapper_class'] ) ) {
 				$this->wrapper_class = ' class="generic-button ' . $r['wrapper_class'] . '"';
@@ -212,14 +214,14 @@
 			}
 
-			// Set before and after
+			// Set before and after.
 			$before = '<' . $r['wrapper'] . $this->wrapper_class . $this->wrapper_id . '>';
 			$after  = '</' . $r['wrapper'] . '>';
 
-		// No wrapper
+		// No wrapper.
 		} else {
 			$before = $after = '';
 		}
 
-		// Link properties
+		// Link properties.
 		if ( !empty( $r['link_id']    ) ) $this->link_id    = ' id="' .    $r['link_id']    . '"';
 		if ( !empty( $r['link_href']  ) ) $this->link_href  = ' href="' .  $r['link_href']  . '"';
@@ -229,5 +231,5 @@
 		if ( !empty( $r['link_text']  ) ) $this->link_text  =              $r['link_text'];
 
-		// Build the button
+		// Build the button.
 		$this->contents = $before . '<a'. $this->link_href . $this->link_title . $this->link_id . $this->link_rel . $this->link_class . '>' . $this->link_text . '</a>' . $after;
 
Index: /trunk/src/bp-core/classes/class-bp-core-notification.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-core-notification.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-core-notification.php	(revision 10355)
@@ -15,5 +15,4 @@
  * Use BP_Notifications_Notification instead.
  *
- * @package BuddyPress Core
  * @deprecated since 1.9.0
  */
@@ -81,5 +80,5 @@
 	 * Constructor
 	 *
-	 * @param int $id
+	 * @param int $id ID for the notification.
 	 */
 	public function __construct( $id = 0 ) {
@@ -102,9 +101,9 @@
 		$bp = buddypress();
 
-		// Update
+		// Update.
 		if ( !empty( $this->id ) ) {
 			$sql = $wpdb->prepare( "UPDATE {$bp->core->table_name_notifications} SET item_id = %d, secondary_item_id = %d, user_id = %d, component_name = %s, component_action = %d, date_notified = %s, is_new = %d ) WHERE id = %d", $this->item_id, $this->secondary_item_id, $this->user_id, $this->component_name, $this->component_action, $this->date_notified, $this->is_new, $this->id );
 
-		// Save
+		// Save.
 		} else {
 			$sql = $wpdb->prepare( "INSERT INTO {$bp->core->table_name_notifications} ( item_id, secondary_item_id, user_id, component_name, component_action, date_notified, is_new ) VALUES ( %d, %d, %d, %s, %s, %s, %d )", $this->item_id, $this->secondary_item_id, $this->user_id, $this->component_name, $this->component_action, $this->date_notified, $this->is_new );
@@ -149,5 +148,4 @@
 	 * @param int $user_id         ID to check access for.
 	 * @param int $notification_id Notification ID to check for.
-	 *
 	 * @return string
 	 */
@@ -164,10 +162,10 @@
 	 *
 	 * @global wpdb $wpdb WordPress database object
+	 *
+	 * @static
 	 *
 	 * @param int    $user_id User ID.
 	 * @param string $status 'is_new' or 'all'.
-	 *
 	 * @return array Associative array
-	 * @static
 	 */
 	public static function get_all_for_user( $user_id, $status = 'is_new' ) {
@@ -188,10 +186,9 @@
 	 * @global wpdb $wpdb WordPress database object.
 	 *
-	 * @param int    $user_id
-	 * @param string $component_name
-	 * @param string $component_action
-	 *
-	 * @static
-	 *
+	 * @static
+	 *
+	 * @param int    $user_id          ID of the user to delet notification for.
+	 * @param string $component_name   Component name.
+	 * @param string $component_action Component action.
 	 * @return mixed
 	 */
@@ -208,4 +205,6 @@
 	 *
 	 * @global wpdb $wpdb WordPress database object.
+	 *
+	 * @static
 	 *
 	 * @param int      $user_id           The ID of the user who the notifications are for.
@@ -215,6 +214,4 @@
 	 * @param int|bool $secondary_item_id (optional) The secondary item id of the notifications that we wish to
 	 *                                    use to delete.
-	 * @static
-	 *
 	 * @return mixed
 	 */
@@ -236,9 +233,9 @@
 	 * @global wpdb $wpdb WordPress database object.
 	 *
+	 * @static
+	 *
 	 * @param int    $user_id          The ID of the user whose sent notifications we wish to delete.
 	 * @param string $component_name   The name of the component the notification was sent from.
 	 * @param string $component_action The action of the component the notification was sent from.
-	 * @static
-	 *
 	 * @return mixed
 	 */
@@ -256,4 +253,6 @@
 	 *
 	 * @global wpdb $wpdb WordPress database object.
+	 *
+	 * @static
 	 *
 	 * @param string $item_id           The item id that they notifications are to be for.
@@ -261,6 +260,4 @@
 	 * @param string $component_action  The action that the notifications are to be from.
 	 * @param string $secondary_item_id Optional secondary item id that the notifications are to have.
-	 * @static
-	 *
 	 * @return mixed
 	 */
Index: /trunk/src/bp-core/classes/class-bp-core-user.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-core-user.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-core-user.php	(revision 10355)
@@ -19,5 +19,5 @@
  *    $user = new BP_Core_User( $user_id );
  *    $user_avatar = $user->avatar;
- *	  $user_email = $user->email;
+ *    $user_email = $user->email;
  *    $user_status = $user->status;
  *    etc.
@@ -178,5 +178,5 @@
 		}
 
-		// Cache a few things that are fetched often
+		// Cache a few things that are fetched often.
 		wp_cache_set( 'bp_user_fullname_' . $this->id, $this->fullname, 'bp' );
 		wp_cache_set( 'bp_user_email_' . $this->id, $this->email, 'bp' );
@@ -282,10 +282,10 @@
 		$sql['from'] = "FROM {$wpdb->users} u LEFT JOIN {$wpdb->usermeta} um ON um.user_id = u.ID";
 
-		// We search against xprofile fields, so we must join the table
+		// We search against xprofile fields, so we must join the table.
 		if ( $search_terms && bp_is_active( 'xprofile' ) ) {
 			$sql['join_profiledata_search'] = "LEFT JOIN {$bp->profile->table_name_data} spd ON u.ID = spd.user_id";
 		}
 
-		// Alphabetical sorting is done by the xprofile Full Name field
+		// Alphabetical sorting is done by the xprofile Full Name field.
 		if ( 'alphabetical' == $type ) {
 			$sql['join_profiledata_alpha'] = "LEFT JOIN {$bp->profile->table_name_data} pd ON u.ID = pd.user_id";
@@ -349,5 +349,5 @@
 			$sql['where_meta'] = $wpdb->prepare( " AND umm.meta_key = %s", $meta_key );
 
-			// If a meta value is provided, match it
+			// If a meta value is provided, match it.
 			if ( $meta_value ) {
 				$sql['where_meta'] .= $wpdb->prepare( " AND umm.meta_value = %s", $meta_value );
@@ -388,5 +388,5 @@
 		$paged_users     = $wpdb->get_results( $paged_users_sql );
 
-		// Re-jig the SQL so we can get the total user count
+		// Re-jig the SQL so we can get the total user count.
 		unset( $sql['select_main'] );
 
@@ -420,7 +420,7 @@
 		$total_users     = $wpdb->get_var( $total_users_sql );
 
-		/***
+		/**
 		 * Lets fetch some other useful data in a separate queries, this will be faster than querying the data for every user in a list.
-		 * We can't add these to the main query above since only users who have this information will be returned (since the much of the data is in usermeta and won't support any type of directional join)
+		 * We can't add these to the main query above since only users who have this information will be returned (since the much of the data is in usermeta and won't support any type of directional join).
 		 */
 		if ( !empty( $populate_extras ) ) {
@@ -431,5 +431,5 @@
 			}
 
-			// Add additional data to the returned results
+			// Add additional data to the returned results.
 			$paged_users = BP_Core_User::get_user_extras( $paged_users, $user_ids, $type );
 		}
@@ -448,8 +448,7 @@
 	 * @param int    $page            The page number we are currently on, used in conjunction
 	 *                                with $limit to get the start position for the limit.
-	 * @param bool   $populate_extras Populate extra user fields?
+	 * @param bool   $populate_extras If we should populate extra user fields.
 	 * @param string $exclude         Comma-separated IDs of users whose results
 	 *                                aren't to be fetched.
-	 *
 	 * @return mixed False on error, otherwise associative array of results.
 	 */
@@ -462,5 +461,5 @@
 		}
 
-		// Multibyte compliance
+		// Multibyte compliance.
 		if ( function_exists( 'mb_strlen' ) ) {
 			if ( mb_strlen( $letter, 'UTF-8' ) > 1 || is_numeric( $letter ) || !$letter ) {
@@ -506,5 +505,5 @@
 		$paged_users = $wpdb->get_results( $paged_users_sql );
 
-		/***
+		/**
 		 * Lets fetch some other useful data in a separate queries, this will be
 		 * faster than querying the data for every user in a list. We can't add
@@ -517,5 +516,5 @@
 			$user_ids[] = (int) $user->id;
 
-		// Add additional data to the returned results
+		// Add additional data to the returned results.
 		if ( $populate_extras ) {
 			$paged_users = BP_Core_User::get_user_extras( $paged_users, $user_ids );
@@ -536,6 +535,5 @@
 	 * @param int   $limit           The limit of results we want.
 	 * @param int   $page            The page we are on for pagination.
-	 * @param bool  $populate_extras Populate extra user fields?
-	 *
+	 * @param bool  $populate_extras If we should populate extra user fields.
 	 * @return array Associative array.
 	 */
@@ -607,5 +605,5 @@
 		$paged_users = $wpdb->get_results( $paged_users_sql );
 
-		/***
+		/**
 		 * Lets fetch some other useful data in a separate queries, this will be
 		 * faster than querying the data for every user in a list. We can't add
@@ -615,5 +613,5 @@
 		 */
 
-		// Add additional data to the returned results
+		// Add additional data to the returned results.
 		if ( !empty( $populate_extras ) ) {
 			$paged_users = BP_Core_User::get_user_extras( $paged_users, $user_ids );
@@ -632,6 +630,5 @@
 	 * @param int     $limit           The limit of results we want.
 	 * @param int     $page            The page we are on for pagination.
-	 * @param boolean $populate_extras Populate extra user fields?
-	 *
+	 * @param boolean $populate_extras If we should populate extra user fields.
 	 * @return array Associative array.
 	 */
@@ -668,5 +665,5 @@
 		$paged_users = $wpdb->get_results( $paged_users_sql );
 
-		/***
+		/**
 		 * Lets fetch some other useful data in a separate queries, this will be faster than querying the data for every user in a list.
 		 * We can't add these to the main query above since only users who have this information will be returned (since the much of the data is in usermeta and won't support any type of directional join)
@@ -675,5 +672,5 @@
 			$user_ids[] = $user->id;
 
-		// Add additional data to the returned results
+		// Add additional data to the returned results.
 		if ( $populate_extras )
 			$paged_users = BP_Core_User::get_user_extras( $paged_users, $user_ids );
@@ -692,5 +689,4 @@
 	 * @param string      $user_ids    The user ids to select information about.
 	 * @param string|bool $type        The type of fields we wish to get.
-	 *
 	 * @return mixed False on error, otherwise associative array of results.
 	 */
@@ -703,8 +699,8 @@
 			return $paged_users;
 
-		// Sanitize user IDs
+		// Sanitize user IDs.
 		$user_ids = implode( ',', wp_parse_id_list( $user_ids ) );
 
-		// Fetch the user's full name
+		// Fetch the user's full name.
 		if ( bp_is_active( 'xprofile' ) && 'alphabetical' != $type ) {
 			$names = $wpdb->get_results( $wpdb->prepare( "SELECT pd.user_id as id, pd.value as fullname FROM {$bp->profile->table_name_fields} pf, {$bp->profile->table_name_data} pd WHERE pf.id = pd.field_id AND pf.name = %s AND pd.user_id IN ( {$user_ids} )", bp_xprofile_fullname_field_name() ) );
@@ -717,5 +713,5 @@
 		}
 
-		// Fetch the user's total friend count
+		// Fetch the user's total friend count.
 		if ( 'popular' != $type ) {
 			$friend_count = $wpdb->get_results( $wpdb->prepare( "SELECT user_id as id, meta_value as total_friend_count FROM {$wpdb->usermeta} WHERE meta_key = %s AND user_id IN ( {$user_ids} )", bp_get_user_meta_key( 'total_friend_count' ) ) );
@@ -728,5 +724,5 @@
 		}
 
-		// Fetch whether or not the user is a friend
+		// Fetch whether or not the user is a friend.
 		if ( bp_is_active( 'friends' ) ) {
 			$friend_status = $wpdb->get_results( $wpdb->prepare( "SELECT initiator_user_id, friend_user_id, is_confirmed FROM {$bp->friends->table_name} WHERE (initiator_user_id = %d AND friend_user_id IN ( {$user_ids} ) ) OR (initiator_user_id IN ( {$user_ids} ) AND friend_user_id = %d )", bp_loggedin_user_id(), bp_loggedin_user_id() ) );
@@ -749,5 +745,5 @@
 		}
 
-		// Fetch the user's last_activity
+		// Fetch the user's last_activity.
 		if ( 'active' != $type ) {
 			$user_activity = $wpdb->get_results( $wpdb->prepare( "SELECT user_id as id, meta_value as last_activity FROM {$wpdb->usermeta} WHERE meta_key = %s AND user_id IN ( {$user_ids} )", bp_get_user_meta_key( 'last_activity' ) ) );
@@ -760,5 +756,5 @@
 		}
 
-		// Fetch the user's latest update
+		// Fetch the user's latest update.
 		$user_update = $wpdb->get_results( $wpdb->prepare( "SELECT user_id as id, meta_value as latest_update FROM {$wpdb->usermeta} WHERE meta_key = %s AND user_id IN ( {$user_ids} )", bp_get_user_meta_key( 'bp_latest_update' ) ) );
 		for ( $i = 0, $count = count( $paged_users ); $i < $count; ++$i ) {
@@ -778,5 +774,4 @@
 	 *
 	 * @param int $user_id User ID.
-	 *
 	 * @return array Associative array.
 	 */
@@ -793,6 +788,5 @@
 	 * Get last activity data for a user or set of users.
 	 *
-	 * @param int|array User IDs or multiple user IDs.
-	 *
+	 * @param int|array $user_id User IDs or multiple user IDs.
 	 * @return array
 	 */
@@ -800,5 +794,5 @@
 		global $wpdb;
 
-		// Sanitize and remove empty values
+		// Sanitize and remove empty values.
 		$user_ids = array_filter( wp_parse_id_list( $user_id ) );
 
@@ -825,5 +819,5 @@
 		}
 
-		// Fetch all user data from the cache
+		// Fetch all user data from the cache.
 		$retval = array();
 		foreach ( $user_ids as $user_id ) {
@@ -844,5 +838,4 @@
 	 * @param int    $user_id ID of the user whose last_activity you are updating.
 	 * @param string $time    MySQL-formatted time string.
-	 *
 	 * @return bool True on success, false on failure.
 	 */
@@ -858,20 +851,20 @@
 				$table_name,
 
-				// Data to update
+				// Data to update.
 				array(
 					'date_recorded' => $time,
 				),
 
-				// WHERE
+				// WHERE.
 				array(
 					'id' => $activity[ $user_id ]['activity_id'],
 				),
 
-				// Data sanitization format
+				// Data sanitization format.
 				array(
 					'%s',
 				),
 
-				// WHERE sanitization format
+				// WHERE sanitization format.
 				array(
 					'%d',
@@ -879,5 +872,5 @@
 			);
 
-			// add new date to existing activity entry for caching
+			// Add new date to existing activity entry for caching.
 			$activity[ $user_id ]['date_recorded'] = $time;
 
@@ -886,5 +879,5 @@
 				$table_name,
 
-				// Data
+				// Data.
 				array(
 					'user_id'       => $user_id,
@@ -898,5 +891,5 @@
 				),
 
-				// Data sanitization format
+				// Data sanitization format.
 				array(
 					'%d',
@@ -911,6 +904,6 @@
 			);
 
-			// set up activity array for caching
-			// view the foreach loop in the get_last_activity() method for format
+			// Set up activity array for caching.
+			// View the foreach loop in the get_last_activity() method for format.
 			$activity = array();
 			$activity[ $user_id ] = array(
@@ -921,5 +914,5 @@
 		}
 
-		// set cache
+		// Set cache.
 		wp_cache_set( $user_id, $activity[ $user_id ], 'bp_last_activity' );
 
@@ -932,6 +925,5 @@
 	 * @since 2.0.0
 	 *
-	 * @param int $user_id
-	 *
+	 * @param int $user_id ID of the user whose activity should be deleted.
 	 * @return bool True on success, false on failure or if no last_activity
 	 *              is found for the user.
@@ -949,10 +941,10 @@
 			buddypress()->members->table_name_last_activity,
 
-			// WHERE
+			// WHERE.
 			array(
 				'id' => $existing[ $user_id ]['activity_id'],
 			),
 
-			// WHERE sanitization format
+			// WHERE sanitization format.
 			array(
 				'%s',
Index: /trunk/src/bp-core/classes/class-bp-date-query.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-date-query.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-date-query.php	(revision 10355)
@@ -11,4 +11,5 @@
 
 if ( class_exists( 'WP_Date_Query' ) ) :
+
 /**
  * BuddyPress date query class.
@@ -34,6 +35,6 @@
 	 * Constructor.
 	 *
-	 * @param array  $date_query
-	 * @param string $column
+	 * @param array  $date_query Date query arguments.
+	 * @param string $column     THe DB column to query against.
 	 *
 	 * @see WP_Date_Query::__construct()
@@ -59,5 +60,4 @@
 	 *
 	 * @param array $retval Current DB columns.
-	 *
 	 * @return array
 	 */
Index: /trunk/src/bp-core/classes/class-bp-embed.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-embed.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-embed.php	(revision 10355)
@@ -32,5 +32,5 @@
 		// These are providers that use a regex callback on the URL in question.
 		// Do not confuse with oEmbed providers, which require an external ping.
-		// Used in WP_Embed::shortcode()
+		// Used in WP_Embed::shortcode().
 		$this->handlers = $wp_embed->handlers;
 
@@ -83,5 +83,4 @@
 	 * @param array  $attr Shortcode attributes.
 	 * @param string $url  The URL attempting to be embeded.
-	 *
 	 * @return string The embed HTML on success, otherwise the original URL.
 	 */
@@ -93,9 +92,9 @@
 		$attr = wp_parse_args( $attr, wp_embed_defaults() );
 
-		// kses converts & into &amp; and we need to undo this
-		// See https://core.trac.wordpress.org/ticket/11311
+		// Use kses to convert & into &amp; and we need to undo this
+		// See https://core.trac.wordpress.org/ticket/11311.
 		$url = str_replace( '&amp;', '&', $url );
 
-		// Look for known internal handlers
+		// Look for known internal handlers.
 		ksort( $this->handlers );
 		foreach ( $this->handlers as $priority => $handlers ) {
@@ -137,9 +136,9 @@
 		$attr['discover'] = ( apply_filters( 'bp_embed_oembed_discover', false ) && current_user_can( 'unfiltered_html' ) );
 
-		// Set up a new WP oEmbed object to check URL with registered oEmbed providers
+		// Set up a new WP oEmbed object to check URL with registered oEmbed providers.
 		require_once( ABSPATH . WPINC . '/class-oembed.php' );
 		$oembed_obj = _wp_oembed_get_object();
 
-		// If oEmbed discovery is true, skip oEmbed provider check
+		// If oEmbed discovery is true, skip oEmbed provider check.
 		$is_oembed_link = false;
 		if ( !$attr['discover'] ) {
@@ -151,5 +150,5 @@
 			}
 
-			// If url doesn't match a WP oEmbed provider, stop parsing
+			// If url doesn't match a WP oEmbed provider, stop parsing.
 			if ( !$is_oembed_link )
 				return $this->maybe_make_link( $url );
@@ -176,5 +175,4 @@
 	 * @param array  $rawattr Untouched shortcode attributes from
 	 *                        {@link WP_Embed::shortcode()}.
-	 *
 	 * @return string The embed HTML on success, otherwise the original URL.
 	 */
@@ -183,8 +181,8 @@
 
 		if ( $id ) {
-			// Setup the cachekey
+			// Setup the cachekey.
 			$cachekey = '_oembed_' . md5( $url . serialize( $attr ) );
 
-			// Let components / plugins grab their cache
+			// Let components / plugins grab their cache.
 			$cache = '';
 
@@ -203,5 +201,5 @@
 			$cache = apply_filters( 'bp_embed_get_cache', $cache, $id, $cachekey, $url, $attr, $rawattr );
 
-			// Grab cache and return it if available
+			// Grab cache and return it if available.
 			if ( !empty( $cache ) ) {
 
@@ -218,5 +216,5 @@
 				return apply_filters( 'bp_embed_oembed_html', $cache, $url, $attr, $rawattr );
 
-			// If no cache, ping the oEmbed provider and cache the result
+			// If no cache, ping the oEmbed provider and cache the result.
 			} else {
 				$html = wp_oembed_get( $url, $attr );
@@ -236,5 +234,5 @@
 				do_action( 'bp_embed_update_cache', $cache, $cachekey, $id );
 
-				// If there was a result, return it
+				// If there was a result, return it.
 				if ( $html ) {
 
@@ -245,5 +243,5 @@
 		}
 
-		// Still unknown
+		// Still unknown.
 		return $this->maybe_make_link( $url );
 	}
Index: /trunk/src/bp-core/classes/class-bp-media-extractor.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-media-extractor.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-media-extractor.php	(revision 10355)
@@ -63,5 +63,4 @@
 	 * @param int            $what_to_extract Media type to extract (optional).
 	 * @param array          $extra_args      Bespoke data for a particular extractor (optional).
-	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -197,5 +196,4 @@
 	 * @param string $plaintext  Sanitized version of the content.
 	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
-	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -212,5 +210,5 @@
 		$data = array( 'has' => array( 'links' => 0 ), 'links' => array() );
 
-		// Matches: href="text" and href='text'
+		// Matches: href="text" and href='text'.
 		if ( stripos( $richtext, 'href=' ) !== false ) {
 			preg_match_all( '#href=(["\'])([^"\']+)\1#i', $richtext, $matches );
@@ -257,5 +255,4 @@
 	 * @param string $plaintext  Sanitized version of the content.
 	 * @param array  $extra_args Bespoke data for a particular extractor.
-	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -292,5 +289,5 @@
 		}
 
-		// Build results
+		// Build results.
 		foreach ( $mentions as $user_id => $mention_name ) {
 			$mention = array( 'name' => strtolower( $mention_name ) );
@@ -329,5 +326,4 @@
 	 * @param string $plaintext  Sanitized version of the content.
 	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
-	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -354,5 +350,5 @@
 		// `<img src>` tags.
 		if ( stripos( $richtext, 'src=' ) !== false ) {
-			preg_match_all( '#src=(["\'])([^"\']+)\1#i', $richtext, $img_srcs );  // matches src="text" and src='text'
+			preg_match_all( '#src=(["\'])([^"\']+)\1#i', $richtext, $img_srcs );  // Matches src="text" and src='text'.
 
 			// <img>.
@@ -449,5 +445,4 @@
 	 * @param string $plaintext  Sanitized version of the content.
 	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
-	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -477,8 +472,8 @@
 
 					$shortcode               = array();
-					$shortcode['attributes'] = $attrs;             // Attributes
-					$shortcode['content']    = $matches[5][ $i ];  // Content
-					$shortcode['type']       = $shortcode_name;    // Shortcode
-					$shortcode['original']   = $matches[0][ $i ];  // Entire shortcode
+					$shortcode['attributes'] = $attrs;             // Attributes.
+					$shortcode['content']    = $matches[5][ $i ];  // Content.
+					$shortcode['type']       = $shortcode_name;    // Shortcode.
+					$shortcode['original']   = $matches[0][ $i ];  // Entire shortcode.
 
 					$data['shortcodes'][] = $shortcode;
@@ -511,5 +506,4 @@
 	 * @param string $plaintext  Sanitized version of the content.
 	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
-	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -591,5 +585,4 @@
 	 * @param string $plaintext  Sanitized version of the content.
 	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
-	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -644,5 +637,5 @@
 		}
 
-		// <a href="*.mp3"> tags
+		// <a href="*.mp3"> tags.
 		foreach ( $audio_types as $extension ) {
 			$extension = '.' . $extension;
@@ -689,5 +682,4 @@
 	 * @param string $plaintext  Sanitized version of the content.
 	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
-	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -768,5 +760,4 @@
 	 * @param string $plaintext  Sanitized version of the content.
 	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
-	 *
 	 * @return array
 	 */
@@ -794,5 +785,5 @@
 					$image_size = array( $extra_args['width'], $extra_args['height'] );
 				} else {
-					$image_size = $extra_args['width'];  // e.g. "thumb", "medium".
+					$image_size = $extra_args['width'];  // E.g. "thumb", "medium".
 				}
 
@@ -868,5 +859,4 @@
 	 * @param string $plaintext  Sanitized version of the content.
 	 * @param array  $extra_args Contains data that an implementation might need beyond the defaults.
-	 *
 	 * @return array
 	 */
@@ -890,5 +880,5 @@
 					$image_size = array( $extra_args['width'], $extra_args['height'] );
 				} else {
-					$image_size = $extra_args['width'];  // e.g. "thumb", "medium".
+					$image_size = $extra_args['width'];  // E.g. "thumb", "medium".
 				}
 			} else {
@@ -919,6 +909,5 @@
 	 * @since 2.3.0
 	 *
-	 * @param string $richtext
-	 *
+	 * @param string $richtext Content to sanitize.
 	 * @return string
 	 */
Index: /trunk/src/bp-core/classes/class-bp-members-suggestions.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-members-suggestions.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-members-suggestions.php	(revision 10355)
@@ -84,5 +84,5 @@
 	public function get_suggestions() {
 		$user_query = array(
-			'count_total'     => '',  // Prevents total count
+			'count_total'     => '',  // Prevents total count.
 			'populate_extras' => false,
 			'type'            => 'alphabetical',
Index: /trunk/src/bp-core/classes/class-bp-suggestions.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-suggestions.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-suggestions.php	(revision 10355)
@@ -57,6 +57,7 @@
 	 * Constructor.
 	 *
+	 * @since 2.1.0
+	 *
 	 * @param array $args Optional. If set, used as the parameters for the suggestions service query.
-	 * @since 2.1.0
 	 */
 	public function __construct( array $args = array() ) {
@@ -69,4 +70,6 @@
 	 * Set the parameters for the suggestions service query.
 	 *
+	 * @since 2.1.0
+	 *
 	 * @param array $args {
 	 *     @type int    $limit Maximum number of results to display. Optional, default: 16.
@@ -75,5 +78,4 @@
 	 *                         Mandatory.
 	 * }
-	 * @since 2.1.0
 	 */
 	public function set_query( array $args = array() ) {
Index: /trunk/src/bp-core/classes/class-bp-user-query.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-user-query.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-user-query.php	(revision 10355)
@@ -147,8 +147,8 @@
 	public function __construct( $query = null ) {
 
-		// Store the raw query vars for later access
+		// Store the raw query vars for later access.
 		$this->query_vars_raw = $query;
 
-		// Allow extending classes to register action/filter hooks
+		// Allow extending classes to register action/filter hooks.
 		$this->setup_hooks();
 
@@ -184,5 +184,5 @@
 
 			// Get user ids
-			// If the user_ids param is present, we skip the query
+			// If the user_ids param is present, we skip the query.
 			if ( false !== $this->query_vars['user_ids'] ) {
 				$this->user_ids = wp_parse_id_list( $this->query_vars['user_ids'] );
@@ -193,13 +193,13 @@
 		}
 
-		// Bail if no user IDs were found
+		// Bail if no user IDs were found.
 		if ( empty( $this->user_ids ) ) {
 			return;
 		}
 
-		// Fetch additional data. First, using WP_User_Query
+		// Fetch additional data. First, using WP_User_Query.
 		$this->do_wp_user_query();
 
-		// Get BuddyPress specific user data
+		// Get BuddyPress specific user data.
 		$this->populate_extras();
 	}
@@ -231,5 +231,5 @@
 		$bp = buddypress();
 
-		// Default query variables used here
+		// Default query variables used here.
 		$type         = '';
 		$per_page     = 0;
@@ -244,5 +244,5 @@
 		extract( $this->query_vars );
 
-		// Setup the main SQL query container
+		// Setup the main SQL query container.
 		$sql = array(
 			'select'  => '',
@@ -253,13 +253,13 @@
 		);
 
-		/** TYPE **************************************************************/
+		/* TYPE **************************************************************/
 
 		// Determines the sort order, which means it also determines where the
-		// user IDs are drawn from (the SELECT and WHERE statements)
+		// user IDs are drawn from (the SELECT and WHERE statements).
 		switch ( $type ) {
 
 			// 'online' query happens against the last_activity usermeta key
 			// Filter 'bp_user_query_online_interval' to modify the
-			// number of minutes used as an interval
+			// number of minutes used as an interval.
 			case 'online' :
 				$this->uid_name = 'user_id';
@@ -282,5 +282,5 @@
 
 			// 'active', 'newest', and 'random' queries
-			// all happen against the last_activity usermeta key
+			// all happen against the last_activity usermeta key.
 			case 'active' :
 			case 'newest' :
@@ -303,5 +303,5 @@
 				break;
 
-			// 'popular' sorts by the 'total_friend_count' usermeta
+			// 'popular' sorts by the 'total_friend_count' usermeta.
 			case 'popular' :
 				$this->uid_name = 'user_id';
@@ -314,5 +314,5 @@
 				break;
 
-			// 'alphabetical' sorts depend on the xprofile setup
+			// 'alphabetical' sorts depend on the xprofile setup.
 			case 'alphabetical' :
 
@@ -321,5 +321,5 @@
 				// can do so if xprofile sync is enabled, or if xprofile is inactive.
 				//
-				// @todo remove need for bp_is_active() check
+				// @todo remove need for bp_is_active() check.
 				if ( ! bp_disable_profile_sync() || ! bp_is_active( 'xprofile' ) ) {
 					$this->uid_name = 'ID';
@@ -330,5 +330,5 @@
 
 				// When profile sync is disabled, alphabetical sorts must happen against
-				// the xprofile table
+				// the xprofile table.
 				} else {
 					$this->uid_name = 'user_id';
@@ -347,5 +347,5 @@
 				break;
 
-			// Any other 'type' falls through
+			// Any other 'type' falls through.
 			default :
 				$this->uid_name = 'ID';
@@ -355,12 +355,11 @@
 				// In this case, we assume that a plugin is
 				// handling order, so we leave those clauses
-				// blank
-
+				// blank.
 				break;
 		}
 
-		/** WHERE *************************************************************/
-
-		// 'include' - User ids to include in the results
+		/* WHERE *************************************************************/
+
+		// 'include' - User ids to include in the results.
 		$include     = false !== $include ? wp_parse_id_list( $include ) : array();
 		$include_ids = $this->get_include_ids( $include );
@@ -370,5 +369,5 @@
 		}
 
-		// 'exclude' - User ids to exclude from the results
+		// 'exclude' - User ids to exclude from the results.
 		if ( false !== $exclude ) {
 			$exclude_ids    = implode( ',', wp_parse_id_list( $exclude ) );
@@ -377,5 +376,5 @@
 
 		// 'user_id' - When a user id is passed, limit to the friends of the user
-		// @todo remove need for bp_is_active() check
+		// @todo remove need for bp_is_active() check.
 		if ( ! empty( $user_id ) && bp_is_active( 'friends' ) ) {
 			$friend_ids = friends_get_friend_user_ids( $user_id );
@@ -386,5 +385,5 @@
 
 			// If the user has no friends, the query should always
-			// return no users
+			// return no users.
 			} else {
 				$sql['where'][] = $this->no_results['where'];
@@ -392,8 +391,8 @@
 		}
 
-		/** Search Terms ******************************************************/
+		/* Search Terms ******************************************************/
 
 		// 'search_terms' searches user_login and user_nicename
-		// xprofile field matches happen in bp_xprofile_bp_user_query_search()
+		// xprofile field matches happen in bp_xprofile_bp_user_query_search().
 		if ( false !== $search_terms ) {
 			$search_terms = bp_esc_like( wp_kses_normalize_entities( $search_terms ) );
@@ -438,5 +437,5 @@
 
 		// 'meta_key', 'meta_value' allow usermeta search
-		// To avoid global joins, do a separate query
+		// To avoid global joins, do a separate query.
 		if ( false !== $meta_key ) {
 			$meta_sql = $wpdb->prepare( "SELECT user_id FROM {$wpdb->usermeta} WHERE meta_key = %s", $meta_key );
@@ -455,5 +454,5 @@
 		}
 
-		// 'per_page', 'page' - handles LIMIT
+		// 'per_page', 'page' - handles LIMIT.
 		if ( !empty( $per_page ) && !empty( $page ) ) {
 			$sql['limit'] = $wpdb->prepare( "LIMIT %d, %d", intval( ( $page - 1 ) * $per_page ), intval( $per_page ) );
@@ -472,5 +471,5 @@
 		$sql = apply_filters_ref_array( 'bp_user_query_uid_clauses', array( $sql, &$this ) );
 
-		// Assemble the query chunks
+		// Assemble the query chunks.
 		$this->uid_clauses['select']  = $sql['select'];
 		$this->uid_clauses['where']   = ! empty( $sql['where'] ) ? 'WHERE ' . implode( ' AND ', $sql['where'] ) : '';
@@ -502,13 +501,13 @@
 		global $wpdb;
 
-		// If counting using SQL_CALC_FOUND_ROWS, set it up here
+		// If counting using SQL_CALC_FOUND_ROWS, set it up here.
 		if ( 'sql_calc_found_rows' == $this->query_vars['count_total'] ) {
 			$this->uid_clauses['select'] = str_replace( 'SELECT', 'SELECT SQL_CALC_FOUND_ROWS', $this->uid_clauses['select'] );
 		}
 
-		// Get the specific user ids
+		// Get the specific user ids.
 		$this->user_ids = $wpdb->get_col( "{$this->uid_clauses['select']} {$this->uid_clauses['where']} {$this->uid_clauses['orderby']} {$this->uid_clauses['order']} {$this->uid_clauses['limit']}" );
 
-		// Get the total user count
+		// Get the total user count.
 		if ( 'sql_calc_found_rows' == $this->query_vars['count_total'] ) {
 
@@ -557,11 +556,11 @@
 		$wp_user_query = new WP_User_Query( apply_filters( 'bp_wp_user_query_args', array(
 
-			// Relevant
+			// Relevant.
 			'fields'      => $fields,
 			'include'     => $this->user_ids,
 
 			// Overrides
-			'blog_id'     => 0,    // BP does not require blog roles
-			'count_total' => false // We already have a count
+			'blog_id'     => 0,    // BP does not require blog roles.
+			'count_total' => false // We already have a count.
 
 		), $this ) );
@@ -583,5 +582,5 @@
 		}
 
-		// Reindex for easier matching
+		// Reindex for easier matching.
 		$r = array();
 		foreach ( $wp_user_query->results as $u ) {
@@ -589,5 +588,5 @@
 		}
 
-		// Match up to the user ids from the main query
+		// Match up to the user ids from the main query.
 		foreach ( $this->user_ids as $key => $uid ) {
 			if ( isset( $r[ $uid ] ) ) {
@@ -595,8 +594,8 @@
 
 				// The BP template functions expect an 'id'
-				// (as opposed to 'ID') property
+				// (as opposed to 'ID') property.
 				$this->results[ $uid ]->id = $uid;
 
-			// remove user ID from original user_ids property
+			// Remove user ID from original user_ids property.
 			} else {
 				unset( $this->user_ids[ $key ] );
@@ -619,5 +618,4 @@
 	 * @param array $include Sanitized array of user IDs, as passed to the 'include'
 	 *                       parameter of the class constructor.
-	 *
 	 * @return array The list of users to which the main query should be
 	 *               limited.
@@ -640,5 +638,5 @@
 		global $wpdb;
 
-		// Bail if no users
+		// Bail if no users.
 		if ( empty( $this->user_ids ) || empty( $this->results ) ) {
 			return;
@@ -647,5 +645,5 @@
 		// Bail if the populate_extras flag is set to false
 		// In the case of the 'popular' sort type, we force
-		// populate_extras to true, because we need the friend counts
+		// populate_extras to true, because we need the friend counts.
 		if ( 'popular' == $this->query_vars['type'] ) {
 			$this->query_vars['populate_extras'] = 1;
@@ -656,5 +654,5 @@
 		}
 
-		// Turn user ID's into a query-usable, comma separated value
+		// Turn user ID's into a query-usable, comma separated value.
 		$user_ids_sql = implode( ',', wp_parse_id_list( $this->user_ids ) );
 
@@ -679,8 +677,8 @@
 		do_action_ref_array( 'bp_user_query_populate_extras', array( $this, $user_ids_sql ) );
 
-		// Fetch last_active data from the activity table
+		// Fetch last_active data from the activity table.
 		$last_activities = BP_Core_User::get_last_activity( $this->user_ids );
 
-		// Set a last_activity value for each user, even if it's empty
+		// Set a last_activity value for each user, even if it's empty.
 		foreach ( $this->results as $user_id => $user ) {
 			$user_last_activity = isset( $last_activities[ $user_id ] ) ? $last_activities[ $user_id ]['date_recorded'] : '';
@@ -691,15 +689,15 @@
 		// We want the three following pieces of info from usermeta:
 		// - friend count
-		// - latest update
+		// - latest update.
 		$total_friend_count_key = bp_get_user_meta_key( 'total_friend_count' );
 		$bp_latest_update_key   = bp_get_user_meta_key( 'bp_latest_update'   );
 
-		// total_friend_count must be set for each user, even if its
-		// value is 0
+		// Total_friend_count must be set for each user, even if its
+		// value is 0.
 		foreach ( $this->results as $uindex => $user ) {
 			$this->results[$uindex]->total_friend_count = 0;
 		}
 
-		// Create, prepare, and run the separate usermeta query
+		// Create, prepare, and run the separate usermeta query.
 		$user_metas = $wpdb->get_results( $wpdb->prepare( "SELECT user_id, meta_key, meta_value FROM {$wpdb->usermeta} WHERE meta_key IN (%s,%s) AND user_id IN ({$user_ids_sql})", $total_friend_count_key, $bp_latest_update_key ) );
 
@@ -723,5 +721,5 @@
 
 		// When meta_key or meta_value have been passed to the query,
-		// fetch the resulting values for use in the template functions
+		// fetch the resulting values for use in the template functions.
 		if ( ! empty( $this->query_vars['meta_key'] ) ) {
 			$meta_sql = array(
@@ -758,5 +756,4 @@
 	 * @param string|array $member_types Array or comma-separated list of member types.
 	 * @param string       $operator     'IN' or 'NOT IN'.
-	 *
 	 * @return string
 	 */
@@ -805,5 +802,5 @@
 		$clause = '';
 
-		// no_results clauses are the same between IN and NOT IN.
+		// The no_results clauses are the same between IN and NOT IN.
 		if ( false !== strpos( $sql_clauses['where'], '0 = 1' ) ) {
 			$clause = $this->no_results['where'];
Index: /trunk/src/bp-core/classes/class-bp-walker-nav-menu-checklist.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-walker-nav-menu-checklist.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-walker-nav-menu-checklist.php	(revision 10355)
@@ -103,5 +103,5 @@
 		}
 
-		// Menu item hidden fields
+		// Menu item hidden fields.
 		$output .= '<input type="hidden" class="menu-item-db-id" name="menu-item[' . $possible_object_id . '][menu-item-db-id]" value="' . $possible_db_id . '" />';
 		$output .= '<input type="hidden" class="menu-item-object" name="menu-item[' . $possible_object_id . '][menu-item-object]" value="'. esc_attr( $item->object ) .'" />';
Index: /trunk/src/bp-core/classes/class-bp-walker-nav-menu.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-walker-nav-menu.php	(revision 10354)
+++ /trunk/src/bp-core/classes/class-bp-walker-nav-menu.php	(revision 10355)
@@ -52,5 +52,4 @@
 	 * @param array $elements  See {@link Walker::walk()}.
 	 * @param int   $max_depth See {@link Walker::walk()}.
-	 *
 	 * @return string See {@link Walker::walk()}.
 	 */
@@ -61,13 +60,13 @@
 		$output = '';
 
-		if ( $max_depth < -1 ) // invalid parameter
+		if ( $max_depth < -1 ) // Invalid parameter.
 			return $output;
 
-		if ( empty( $elements ) ) // nothing to walk
+		if ( empty( $elements ) ) // Nothing to walk.
 			return $output;
 
 		$parent_field = $this->db_fields['parent'];
 
-		// flat display
+		// Flat display.
 		if ( -1 == $max_depth ) {
 
@@ -119,6 +118,6 @@
 
 		/*
-		 * if we are displaying all levels, and remaining children_elements is not empty,
-		 * then we got orphans, which should be displayed regardless
+		 * If we are displaying all levels, and remaining children_elements is not empty,
+		 * then we got orphans, which should be displayed regardless.
 		 */
 		if ( ( $max_depth == 0 ) && count( $children_elements ) > 0 ) {
@@ -149,5 +148,5 @@
 	 */
 	public function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
-		// If we're someway down the tree, indent the HTML with the appropriate number of tabs
+		// If we're someway down the tree, indent the HTML with the appropriate number of tabs.
 		$indent = $depth ? str_repeat( "\t", $depth ) : '';
 
@@ -165,5 +164,5 @@
 
 		// Add HTML ID
-		$id = sanitize_html_class( $item->css_id . '-personal-li' );  // Backpat with BP pre-1.7
+		$id = sanitize_html_class( $item->css_id . '-personal-li' );  // Backpat with BP pre-1.7.
 
 		/**
@@ -182,8 +181,8 @@
 		$output .= $indent . '<li' . $id . $class_names . '>';
 
-		// Add href attribute
+		// Add href attribute.
 		$attributes = ! empty( $item->link ) ? ' href="' . esc_url( $item->link ) . '"' : '';
 
-		// Construct the link
+		// Construct the link.
 		$item_output = $args->before;
 		$item_output .= '<a' . $attributes . '>';
